package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6327s00  
 * 
 *  
 */

public class SalonComedor implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idSalonComedor;
	private EstablecimientoData establecimientoData;
	private String descNombre;
	private String idTipo;
	private String habilitado;
	private BigDecimal numSuperficie;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String descTipo;
	private List<String> filterTipos;

	// datos solo para inspecciones
	private String supHabilitado;
	private String guardarropa;
	private String mobiliarioAdecuado;
	private String accesible;
	private String aireAcondicionado;

	/**
	 * Method 'Ab6327s00'.
	 */
	public SalonComedor() {
	}

	/**
	 * Method 'Ab6327s00'.
	 * 
	 * @param idSalonComedor
	 *            Integer
	 */
	public SalonComedor(Integer idSalonComedor) {
		this.idSalonComedor = idSalonComedor;
	}

	/**
	 * Method 'Ab6327s00'.
	 * 
	 * @param idSalonComedor
	 *            Integer
	 * @param descNombre
	 *            String
	 * @param idTipo
	 *            String
	 * @param habilitado
	 *            String
	 * @param numSuperficie
	 *            BigDecimal
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 */
	public SalonComedor(Integer idSalonComedor, String descNombre, String idTipo, String habilitado,
			BigDecimal numSuperficie, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion, EstablecimientoData ab6321s00) {

		this.idSalonComedor = idSalonComedor;
		this.establecimientoData = ab6321s00;
		this.descNombre = descNombre;
		this.idTipo = idTipo;
		this.habilitado = habilitado;
		this.numSuperficie = numSuperficie;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdSalonComedor'.
	 *
	 * @return Integer
	 */

	public Integer getIdSalonComedor() {
		return this.idSalonComedor;
	}

	/**
	 * Method 'setIdSalonComedor'.
	 *
	 * @param idSalonComedor
	 *            Integer
	 * @return
	 */

	public void setIdSalonComedor(Integer idSalonComedor) {
		this.idSalonComedor = idSalonComedor;
	}

	/**
	 * Method 'getAb6321s00'.
	 *
	 * @return Ab6321s00
	 */

	public EstablecimientoData getEstablecimientoData() {
		return this.establecimientoData;
	}

	/**
	 * Method 'setAb6321s00'.
	 *
	 * @param ab6321s00
	 *            Ab6321s00
	 * @return
	 */

	public void setEstablecimientoData(EstablecimientoData ab6321s00) {
		this.establecimientoData = ab6321s00;
	}

	/**
	 * Method 'getDescNombre'.
	 *
	 * @return String
	 */

	public String getDescNombre() {
		return this.descNombre;
	}

	/**
	 * Method 'setDescNombre'.
	 *
	 * @param descNombre
	 *            String
	 * @return
	 */

	public void setDescNombre(String descNombre) {
		this.descNombre = descNombre;
	}

	/**
	 * Method 'getIdTipo'.
	 *
	 * @return String
	 */

	public String getIdTipo() {
		return this.idTipo;
	}

	/**
	 * Method 'setIdTipo'.
	 *
	 * @param idTipo
	 *            String
	 * @return
	 */

	public void setIdTipo(String idTipo) {
		this.idTipo = idTipo;
	}

	/**
	 * Method 'getHabilitado'.
	 *
	 * @return String
	 */

	public String getHabilitado() {
		return this.habilitado;
	}

	/**
	 * Method 'setHabilitado'.
	 *
	 * @param habilitado
	 *            String
	 * @return
	 */

	public void setHabilitado(String habilitado) {
		this.habilitado = habilitado;
	}

	/**
	 * Method 'getNumSuperficie'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getNumSuperficie() {
		return this.numSuperficie;
	}

	/**
	 * Method 'setNumSuperficie'.
	 *
	 * @param numSuperficie
	 *            BigDecimal
	 * @return
	 */

	public void setNumSuperficie(BigDecimal numSuperficie) {
		this.numSuperficie = numSuperficie;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getDescTipo() {
		return descTipo;
	}

	public void setDescTipo(String descTipo) {
		this.descTipo = descTipo;
	}

	public List<String> getFilterTipos() {
		return filterTipos;
	}

	public void setFilterTipos(List<String> filterTipos) {
		this.filterTipos = filterTipos;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idSalonComedor: ").append(this.idSalonComedor).append(" ]");
		result.append(", [ descNombre: ").append(this.descNombre).append(" ]");
		result.append(", [ idTipo: ").append(this.idTipo).append(" ]");
		result.append(", [ habilitado: ").append(this.habilitado).append(" ]");
		result.append(", [ numSuperficie: ").append(this.numSuperficie).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
